For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
            • GETList Custom Template Associations
            • PUTUpsert Custom Template Associations
            • DELDelete Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentCustom Template Associations

Delete Custom Template Associations

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/storefront/custom-template-associations
DELETE
/stores/:store_hash/v3/storefront/custom-template-associations
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/storefront/custom-template-associations \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Delete custom template associations. At least one query parameter must be used.
Was this page helpful?
Previous

Upsert Custom Template Associations

Next

Email Templates

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
ThemesRead-onlystore_themes_read_only
ThemesManagestore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

id:inlist of integersOptional

A comma-separated string that specifies a list of association IDs to delete.

channel_idintegerOptional
Return results or act upon only template associations in the specified channel.
typeenumOptional
Filter associations by type.
Allowed values:
entity_id:inlist of integersOptional

A comma-separated list of entity IDs to return or act upon. Must be used together with the type filter. Currently, all supported entities have integer-type IDs.

Response

No Content

The MIME type of the response body.